%define tarname symeig
%define name python-%{tarname}
%define version 1.4.1
%define release %mkrel 5

Summary: Symmetrical eigenvalue routines for numpy
Name: 	 %{name}
Version: %{version}
Release: %{release}
Source0: %{tarname}-%{version}.tar.lzma
License: LGPLv3+
Group: 	 Development/Python
Url: 	 http://mdp-toolkit.sourceforge.net/symeig.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: python >= 2.4, python-numpy
BuildRequires: lapack-devel, python-devel >= 2.4, python-numpy-devel >= 1.0
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version


%description
The symeig module contains a Python wrapper for the LAPACK functions
that solve the standard and generalized eigenvalue problems for
symmetric (hermitian) positive definite matrices. Those specialized
algorithms provide an important speed-up relative to the generic
LAPACK eigenvalue problem solver in NumPy (linalg.eig and
linalg.eigh).

%prep
%setup -q -n %{tarname}-1.4

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPY*
%_libdir/python*/site-packages/


%changelog
* Sun Aug 11 2013 billybot <billybot>
- update

* Thu Sep 02 2010 Texstar <texstar at gmail.com>
- rebuild for python 2.6.6

* Sat Nov 28 2009 Texstar <texstar at gmail.com> 1.4.1-4pclos2010
- rebuild against updated atlas

* Fri Nov 20 2009 Texstar <texstar at gmail.com> 1.4.1-3pclos2010
- gcc update
- rebuild against current libs

